	character*160 inline
	character*11 big
	data radmax/42./
	data amagmax/12.5/
C Write the header stuff:
	write(6,10)
10	format('FIELD NAME: hChi'/
     & 'INPUT EPOCH: 2000.00'/
     & 'CURRENT EPOCH: 2004.66'/
     & 'SIDEREAL TIME: 02.3'/
     & 'EXPOSURE LENGTH: 0.5'/
     & 'WAVELENGTH: 6000.'/
     & 'CABLE: RED'/
     & 'GUIDEWAVE: 6000.'/
     & 'WEIGHTING: NONE'/
     & '#23456789012345678901234567890123456789012345678901234567890'/
     & '0000 Center-hChiPer       02 20 02.926 +57 11 20.17 C')
	open(unit=1,file='hchimag',status='old')
	inum=0
1	read(1,2,end=99) inline
2	format(a160)
Cwrite(6,2) inline
	if(inline(1:1).eq.'#') go to 1
	read(inline,*) rad,ihr,imin,sec,ideg,iamin,asec,big,ra,dec,
     &  amag
Cwrite(6,*) rad,radmax,amag,amagmax
	if(rad.gt.radmax) go to 1
	if(amag.gt.amagmax) go to 1
	inum=inum+1
	write(6,3) inum,big(4:11),amag,ihr,imin,sec,ideg,iamin,asec
3	format(i4.4,1x,'hchiPr-',a8,'V',f4.1,1x,i2.2,1x,i2.2,1x,
     &  f6.3,1x,i3.2,1x,i2.2,1x,f5.2,' O')
	go to 1
99	stop
	end
